package com.aitrainer.api.model

import org.springframework.lang.NonNull
import javax.persistence.Entity
import javax.persistence.GeneratedValue
import javax.persistence.GenerationType
import javax.persistence.Id
import javax.validation.constraints.NotBlank

/*enum class ProductType(val type: String) {
    SUBSCRIPTION("subscription"),
    IN_APP_CURR("in-app-currency")

}*/

@Entity
data class Product (
        @Id @GeneratedValue(strategy = GenerationType.IDENTITY) @get: NonNull var productId: Int,
        @get: NotBlank var name: String = "",
        @get: NotBlank var description: String = "",
        @get: NonNull var appVersion: String?  = null,
        @get: NonNull var productSet: Int?  = null,
        @get: NonNull var sort: Int?  = null,
        @get: NonNull var type: String?  = null,
        @get: NonNull var validFrom: String? = null,
        @get: NonNull var validTo: String? = null,
        @get: NonNull var productIdIos: String? = null,
        @get: NonNull var productIdAndroid: String? = null,
        @get: NonNull var priceIos: Double? = null,
        @get: NonNull var priceAndroid: Double? = null

)