package com.aitrainer.api.repository

import com.aitrainer.api.model.CustomerProperty
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query
import org.springframework.stereotype.Repository

@Repository
interface CustomerPropertyRepository: JpaRepository<CustomerProperty, Long> {

    fun findAllByCustomerId(customerId: Long): List<CustomerProperty>

    @Query(" FROM CustomerProperty a " +
            " WHERE customerId = :customerId" +
            " AND dateAdd in (select MAX(dateAdd) from CustomerProperty b " +
            " WHERE customerId = :customerId and a.propertyId = b.propertyId ) "
    )
    fun findLastPropertiesByCustomerId(customerId: Long): List<CustomerProperty>
}